Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90	(revision 3901)
@@ -83,13 +83,4 @@
       IF( kt == nit000 ) THEN                   ! First call kt=nit000 !
          !                                      ! -------------------- !
-         !                                            !* set file information (default values)
-         ! ... default values (NB: frequency positive => hours, negative => months)
-         !              !   file   ! frequency !  variable  ! time intep !  clim   ! 'yearly' or ! weights  ! rotation !
-         !              !   name   !  (hours)  !   name     !   (T/F)    !  (T/F)  !  'monthly'  ! filename ! pairs    !
-         sn_cdg = FLD_N('cdg_wave'  ,    1     ,'drag_coeff',  .true.    , .false. ,   'daily'   , ''       , ''       )
-         sn_usd = FLD_N('sdw_wave'  ,    1     ,'u_sd2d',      .true.    , .false. ,   'daily'   , ''       , ''       )
-         sn_vsd = FLD_N('sdw_wave'  ,    1     ,'v_sd2d',      .true.    , .false. ,   'daily'   , ''       , ''       )
-         sn_wn = FLD_N( 'sdw_wave'  ,    1     ,'wave_num',    .true.    , .false. ,   'daily'   , ''       , ''       )
-         cn_dir = './'          ! directory in which the wave data are 
          
          REWIND( numnam_ref )              ! Namelist namsbc_wave in reference namelist : File for drag coeff. from wave model
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90	(revision 3901)
@@ -26,5 +26,5 @@
        ftide
 
-  LOGICAL, PUBLIC :: ln_tide_pot = .false., ln_tide_ramp = .false.
+  LOGICAL, PUBLIC :: ln_tide_pot , ln_tide_ramp 
   REAL(wp), PUBLIC :: rdttideramp 
   INTEGER, PUBLIC :: nb_harmo
@@ -60,6 +60,4 @@
        !
        CALL tide_init_Wave
-       !
-       clname(:)=''
        !
        ! Read Namelist nam_tide
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SOL/sol_oce.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SOL/sol_oce.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/SOL/sol_oce.F90	(revision 3901)
@@ -20,14 +20,14 @@
    PUBLIC   sol_oce_alloc   ! routine called in solver.F90
 
-   !                                             !!* Namelist namsol : elliptic solver *
-   INTEGER , PUBLIC ::   nn_solv    =    1        !: = 1/2 type of elliptic solver
-   INTEGER , PUBLIC ::   nn_sol_arp =    0        !: = 0/1 absolute/relative precision convergence test
-   INTEGER , PUBLIC ::   nn_nmin    =  300        !: minimum of iterations for the SOR solver
-   INTEGER , PUBLIC ::   nn_nmax    =  800        !: maximum of iterations for the SOR solver
-   INTEGER , PUBLIC ::   nn_nmod    =   10        !: frequency of test for the SOR solver
-   REAL(wp), PUBLIC ::   rn_eps     =  1.e-6_wp   !: absolute precision of the solver
-   REAL(wp), PUBLIC ::   rn_resmax  = 1.e-14_wp   !: absolute precision for the SOR solver
-   REAL(wp), PUBLIC ::   rn_sor     =   1.92_wp   !: optimal coefficient for the SOR solver
-   REAL(wp), PUBLIC ::   rn_nu      =    1.0_wp   !: strength of the additional force used in free surface
+   !                                 !!* Namelist namsol : elliptic solver *
+   INTEGER , PUBLIC ::   nn_solv      !: = 1/2 type of elliptic solver
+   INTEGER , PUBLIC ::   nn_sol_arp   !: = 0/1 absolute/relative precision convergence test
+   INTEGER , PUBLIC ::   nn_nmin      !: minimum of iterations for the SOR solver
+   INTEGER , PUBLIC ::   nn_nmax      !: maximum of iterations for the SOR solver
+   INTEGER , PUBLIC ::   nn_nmod      !: frequency of test for the SOR solver
+   REAL(wp), PUBLIC ::   rn_eps       !: absolute precision of the solver
+   REAL(wp), PUBLIC ::   rn_resmax    !: absolute precision for the SOR solver
+   REAL(wp), PUBLIC ::   rn_sor       !: optimal coefficient for the SOR solver
+   REAL(wp), PUBLIC ::   rn_nu        !: strength of the additional force used in free surface
 
    CHARACTER(len=1), PUBLIC ::   c_solver_pt = 'T'   !: nature of grid-points T (S) for free surface case
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 3901)
@@ -57,8 +57,8 @@
    PUBLIC   tfreez     ! called by sbcice_... modules
 
-   !                                          !!* Namelist (nameos) *
-   INTEGER , PUBLIC ::   nn_eos   = 0         !: = 0/1/2 type of eq. of state and Brunt-Vaisala frequ.
-   REAL(wp), PUBLIC ::   rn_alpha = 2.0e-4_wp !: thermal expension coeff. (linear equation of state)
-   REAL(wp), PUBLIC ::   rn_beta  = 7.7e-4_wp !: saline  expension coeff. (linear equation of state)
+   !                                  !!* Namelist (nameos) *
+   INTEGER , PUBLIC ::   nn_eos       !: = 0/1/2 type of eq. of state and Brunt-Vaisala frequ.
+   REAL(wp), PUBLIC ::   rn_alpha     !: thermal expension coeff. (linear equation of state)
+   REAL(wp), PUBLIC ::   rn_beta      !: saline  expension coeff. (linear equation of state)
 
    REAL(wp), PUBLIC ::   ralpbet              !: alpha / beta ratio
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 3901)
@@ -37,12 +37,12 @@
    PUBLIC   tra_adv_init   ! routine called by opa module
 
-   !                                        !!* Namelist namtra_adv *
-   LOGICAL ::   ln_traadv_cen2   = .TRUE.    ! 2nd order centered scheme flag
-   LOGICAL ::   ln_traadv_tvd    = .FALSE.   ! TVD scheme flag
-   LOGICAL ::   ln_traadv_muscl  = .FALSE.   ! MUSCL scheme flag
-   LOGICAL ::   ln_traadv_muscl2 = .FALSE.   ! MUSCL2 scheme flag
-   LOGICAL ::   ln_traadv_ubs    = .FALSE.   ! UBS scheme flag
-   LOGICAL ::   ln_traadv_qck    = .FALSE.   ! QUICKEST scheme flag
-   LOGICAL ::   ln_traadv_msc_ups= .FALSE.   ! use upstream scheme within muscl
+   !                              !!* Namelist namtra_adv *
+   LOGICAL ::   ln_traadv_cen2     ! 2nd order centered scheme flag
+   LOGICAL ::   ln_traadv_tvd      ! TVD scheme flag
+   LOGICAL ::   ln_traadv_muscl    ! MUSCL scheme flag
+   LOGICAL ::   ln_traadv_muscl2   ! MUSCL2 scheme flag
+   LOGICAL ::   ln_traadv_ubs      ! UBS scheme flag
+   LOGICAL ::   ln_traadv_qck      ! QUICKEST scheme flag
+   LOGICAL ::   ln_traadv_msc_ups  ! use upstream scheme within muscl
 
 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 3901)
@@ -31,8 +31,8 @@
    PUBLIC tra_bbc_init     ! routine called by opa.F90
 
-   !                                                !!* Namelist nambbc: bottom boundary condition *
-   LOGICAL, PUBLIC ::   ln_trabbc     = .FALSE.      !: Geothermal heat flux flag
-   INTEGER         ::   nn_geoflx     = 1            !  Geothermal flux (=1:constant flux, =2:read in file )
-   REAL(wp)        ::   rn_geoflx_cst = 86.4e-3_wp   !  Constant value of geothermal heat flux
+   !                                 !!* Namelist nambbc: bottom boundary condition *
+   LOGICAL, PUBLIC ::   ln_trabbc     !: Geothermal heat flux flag
+   INTEGER         ::   nn_geoflx     !  Geothermal flux (=1:constant flux, =2:read in file )
+   REAL(wp)        ::   rn_geoflx_cst !  Constant value of geothermal heat flux
 
    REAL(wp), PUBLIC, DIMENSION(:,:), ALLOCATABLE ::   qgh_trd0   ! geothermal heating trend
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 3901)
@@ -49,11 +49,11 @@
    LOGICAL, PUBLIC, PARAMETER ::   lk_trabbl = .TRUE.    !: bottom boundary layer flag
 
-   !                                           !!* Namelist nambbl *
-   INTEGER , PUBLIC ::   nn_bbl_ldf = 0         !: =1   : diffusive bbl or not (=0)
-   INTEGER , PUBLIC ::   nn_bbl_adv = 0         !: =1/2 : advective bbl or not (=0)
+   !                                !!* Namelist nambbl *
+   INTEGER , PUBLIC ::   nn_bbl_ldf  !: =1   : diffusive bbl or not (=0)
+   INTEGER , PUBLIC ::   nn_bbl_adv  !: =1/2 : advective bbl or not (=0)
    !                                            !  =1 : advective bbl using the bottom ocean velocity
    !                                            !  =2 :     -      -  using utr_bbl proportional to grad(rho)
-   REAL(wp), PUBLIC ::   rn_ahtbbl  = 1.e3_wp   !: along slope bbl diffusive coefficient [m2/s]
-   REAL(wp), PUBLIC ::   rn_gambbl  = 10.0_wp   !: lateral coeff. for bottom boundary layer scheme [s]
+   REAL(wp), PUBLIC ::   rn_ahtbbl   !: along slope bbl diffusive coefficient [m2/s]
+   REAL(wp), PUBLIC ::   rn_gambbl   !: lateral coeff. for bottom boundary layer scheme [s]
 
    LOGICAL , PUBLIC ::   l_bbl                  !: flag to compute bbl diffu. flux coef and transport
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 3901)
@@ -47,12 +47,12 @@
    PUBLIC   dtacof_zoom  ! routine called by in both tradmp.F90 and trcdmp.F90
 
-   !                                !!* Namelist namtra_dmp : T & S newtonian damping *
-   LOGICAL, PUBLIC ::   ln_tradmp = .TRUE.    !: internal damping flag
-   INTEGER         ::   nn_hdmp   =   -1      ! = 0/-1/'latitude' for damping over T and S
-   INTEGER         ::   nn_zdmp   =    0      ! = 0/1/2 flag for damping in the mixed layer
-   REAL(wp)        ::   rn_surf   =   50._wp  ! surface time scale for internal damping        [days]
-   REAL(wp)        ::   rn_bot    =  360._wp  ! bottom time scale for internal damping         [days]
-   REAL(wp)        ::   rn_dep    =  800._wp  ! depth of transition between rn_surf and rn_bot [meters]
-   INTEGER         ::   nn_file   =    2      ! = 1 create a damping.coeff NetCDF file 
+   !                               !!* Namelist namtra_dmp : T & S newtonian damping *
+   LOGICAL, PUBLIC ::   ln_tradmp  = .TRUE.   !: internal damping flag
+   INTEGER         ::   nn_hdmp     ! = 0/-1/'latitude' for damping over T and S
+   INTEGER         ::   nn_zdmp     ! = 0/1/2 flag for damping in the mixed layer
+   REAL(wp)        ::   rn_surf     ! surface time scale for internal damping        [days]
+   REAL(wp)        ::   rn_bot      ! bottom time scale for internal damping         [days]
+   REAL(wp)        ::   rn_dep      ! depth of transition between rn_surf and rn_bot [meters]
+   INTEGER         ::   nn_file     ! = 1 create a damping.coeff NetCDF file 
 
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   strdmp   !: damping salinity trend (psu/s)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 3901)
@@ -38,13 +38,13 @@
    PUBLIC   tra_qsr_init  ! routine called by opa.F90
 
-   !                                           !!* Namelist namtra_qsr: penetrative solar radiation
-   LOGICAL , PUBLIC ::   ln_traqsr  = .TRUE.    !: light absorption (qsr) flag
-   LOGICAL , PUBLIC ::   ln_qsr_rgb = .FALSE.   !: Red-Green-Blue light absorption flag  
-   LOGICAL , PUBLIC ::   ln_qsr_2bd = .TRUE.    !: 2 band         light absorption flag
-   LOGICAL , PUBLIC ::   ln_qsr_bio = .FALSE.   !: bio-model      light absorption flag
-   INTEGER , PUBLIC ::   nn_chldta  = 0         !: use Chlorophyll data (=1) or not (=0)
-   REAL(wp), PUBLIC ::   rn_abs     = 0.58_wp   !: fraction absorbed in the very near surface (RGB & 2 bands)
-   REAL(wp), PUBLIC ::   rn_si0     = 0.35_wp   !: very near surface depth of extinction      (RGB & 2 bands)
-   REAL(wp), PUBLIC ::   rn_si1     = 23.0_wp   !: deepest depth of extinction (water type I)       (2 bands)
+   !                                 !!* Namelist namtra_qsr: penetrative solar radiation
+   LOGICAL , PUBLIC ::   ln_traqsr    !: light absorption (qsr) flag
+   LOGICAL , PUBLIC ::   ln_qsr_rgb   !: Red-Green-Blue light absorption flag  
+   LOGICAL , PUBLIC ::   ln_qsr_2bd   !: 2 band         light absorption flag
+   LOGICAL , PUBLIC ::   ln_qsr_bio   !: bio-model      light absorption flag
+   INTEGER , PUBLIC ::   nn_chldta    !: use Chlorophyll data (=1) or not (=0)
+   REAL(wp), PUBLIC ::   rn_abs       !: fraction absorbed in the very near surface (RGB & 2 bands)
+   REAL(wp), PUBLIC ::   rn_si0       !: very near surface depth of extinction      (RGB & 2 bands)
+   REAL(wp), PUBLIC ::   rn_si1       !: deepest depth of extinction (water type I)       (2 bands)
    
    ! Module variables
@@ -335,11 +335,4 @@
       CALL wrk_alloc( jpi, jpj,      zekb, zekg, zekr        ) 
       CALL wrk_alloc( jpi, jpj, jpk, ze0, ze1, ze2, ze3, zea ) 
-      !
-
-      cn_dir = './'       ! directory in which the model is executed
-      ! ... default values (NB: frequency positive => hours, negative => months)
-      !            !     file       ! frequency !  variable  ! time interp !  clim   ! 'yearly' or ! weights  ! rotation   !
-      !            !     name       !  (hours)  !    name    !    (T/F)    !  (T/F)  ! 'monthly'   ! filename ! pairs      !
-      sn_chl = FLD_N( 'chlorophyll' ,    -1     ,  'CHLA'    ,  .true.     , .true.  ,   'yearly'  , ''       , ''         )
       !
 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod_oce.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod_oce.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod_oce.F90	(revision 3901)
@@ -13,13 +13,13 @@
    PUBLIC
 
-   !                                                     !!* Namelist namtrd:  diagnostics on dynamics/tracer trends *
-   INTEGER , PUBLIC  ::   nn_trd  = 10                    !: time step frequency dynamics and tracers trends
-   INTEGER , PUBLIC  ::   nn_ctls =  0                    !: control surface type for trends vertical integration
-   REAL(wp), PUBLIC  ::   rn_ucf   = 1.                   !: unit conversion factor (for netCDF trends outputs)
-                                                          !: =1. (=86400.) for degC/s (degC/day) and psu/s (psu/day)
-   CHARACTER(len=32) ::   cn_trdrst_in  = "restart_mld"   !: suffix of ocean restart name (input)
-   CHARACTER(len=32) ::   cn_trdrst_out = "restart_mld"   !: suffix of ocean restart name (output)
-   LOGICAL , PUBLIC  ::   ln_trdmld_instant = .FALSE.     !: flag to diagnose inst./mean ML T/S trends
-   LOGICAL , PUBLIC  ::   ln_trdmld_restart = .FALSE.     !: flag to restart mixed-layer diagnostics
+   !                                        !!* Namelist namtrd:  diagnostics on dynamics/tracer trends *
+   INTEGER , PUBLIC  ::   nn_trd             !: time step frequency dynamics and tracers trends
+   INTEGER , PUBLIC  ::   nn_ctls            !: control surface type for trends vertical integration
+   REAL(wp), PUBLIC  ::   rn_ucf             !: unit conversion factor (for netCDF trends outputs)
+                                             !: =1. (=86400.) for degC/s (degC/day) and psu/s (psu/day)
+   CHARACTER(len=32) ::   cn_trdrst_in       !: suffix of ocean restart name (input)
+   CHARACTER(len=32) ::   cn_trdrst_out      !: suffix of ocean restart name (output)
+   LOGICAL , PUBLIC  ::   ln_trdmld_instant  !: flag to diagnose inst./mean ML T/S trends
+   LOGICAL , PUBLIC  ::   ln_trdmld_restart  !: flag to restart mixed-layer diagnostics
 
 # if defined key_trdtra   ||   defined key_trdmld
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdf_oce.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdf_oce.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdf_oce.F90	(revision 3901)
@@ -22,17 +22,17 @@
 #endif
 
-   !                                           !!* namelist namzdf: vertical diffusion *
-   REAL(wp), PUBLIC ::   rn_avm0   = 1.e-4_wp   !: vertical eddy viscosity (m2/s)
-   REAL(wp), PUBLIC ::   rn_avt0   = 1.e-5_wp   !: vertical eddy diffusivity (m2/s)
-   INTEGER , PUBLIC ::   nn_avb    =  0         !: constant or profile background on avt (=0/1)
-   INTEGER , PUBLIC ::   nn_havtb  = 1          !: horizontal shape or not for avtb (=0/1)
-   LOGICAL , PUBLIC ::   ln_zdfexp = .FALSE.    !: explicit vertical diffusion scheme flag
-   INTEGER , PUBLIC ::   nn_zdfexp = 3          !: number of sub-time step (explicit time stepping)
-   LOGICAL , PUBLIC ::   ln_zdfevd = .TRUE.     !: convection: enhanced vertical diffusion flag
-   INTEGER , PUBLIC ::   nn_evdm   = 1          !: =0/1 flag to apply enhanced avm or not
-   REAL(wp), PUBLIC ::   rn_avevd  = 1._wp      !: vertical eddy coeff. for enhanced vert. diff. (m2/s)
-   LOGICAL , PUBLIC ::   ln_zdfnpc = .FALSE.    !: convection: non-penetrative convection flag
-   INTEGER , PUBLIC ::   nn_npc    =   1        !: non penetrative convective scheme call  frequency
-   INTEGER , PUBLIC ::   nn_npcp   =  15        !: non penetrative convective scheme print frequency
+   !                                 !!* namelist namzdf: vertical diffusion *
+   REAL(wp), PUBLIC ::   rn_avm0     !: vertical eddy viscosity (m2/s)
+   REAL(wp), PUBLIC ::   rn_avt0     !: vertical eddy diffusivity (m2/s)
+   INTEGER , PUBLIC ::   nn_avb      !: constant or profile background on avt (=0/1)
+   INTEGER , PUBLIC ::   nn_havtb    !: horizontal shape or not for avtb (=0/1)
+   LOGICAL , PUBLIC ::   ln_zdfexp   !: explicit vertical diffusion scheme flag
+   INTEGER , PUBLIC ::   nn_zdfexp   !: number of sub-time step (explicit time stepping)
+   LOGICAL , PUBLIC ::   ln_zdfevd   !: convection: enhanced vertical diffusion flag
+   INTEGER , PUBLIC ::   nn_evdm     !: =0/1 flag to apply enhanced avm or not
+   REAL(wp), PUBLIC ::   rn_avevd    !: vertical eddy coeff. for enhanced vert. diff. (m2/s)
+   LOGICAL , PUBLIC ::   ln_zdfnpc   !: convection: non-penetrative convection flag
+   INTEGER , PUBLIC ::   nn_npc      !: non penetrative convective scheme call  frequency
+   INTEGER , PUBLIC ::   nn_npcp     !: non penetrative convective scheme print frequency
 
 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfbfr.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfbfr.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfbfr.F90	(revision 3901)
@@ -34,14 +34,14 @@
    PUBLIC   zdf_bfr_init    ! called by opa.F90
 
-   !                                    !!* Namelist nambfr: bottom friction namelist *
-   INTEGER , PUBLIC ::   nn_bfr      = 0           ! = 0/1/2/3 type of bottom friction  (PUBLIC for TAM)
-   REAL(wp), PUBLIC ::   rn_bfri1    = 4.0e-4_wp   ! bottom drag coefficient (linear case)  (PUBLIC for TAM)
-   REAL(wp), PUBLIC ::   rn_bfri2    = 1.0e-3_wp   ! bottom drag coefficient (non linear case) (PUBLIC for TAM)
-   REAL(wp), PUBLIC ::   rn_bfeb2    = 2.5e-3_wp   ! background bottom turbulent kinetic energy  [m2/s2] (PUBLIC for TAM)
-   REAL(wp), PUBLIC ::   rn_bfrien   = 30._wp      ! local factor to enhance coefficient bfri (PUBLIC for TAM)
-   LOGICAL , PUBLIC ::   ln_bfr2d    = .false.     ! logical switch for 2D enhancement (PUBLIC for TAM)
-   LOGICAL , PUBLIC ::   ln_loglayer = .false.     ! switch for log layer bfr coeff. (PUBLIC for TAM)
-   REAL(wp), PUBLIC ::   rn_bfrz0    = 0.003_wp    ! bottom roughness for loglayer bfr coeff (PUBLIC for TAM)
-   LOGICAL , PUBLIC                                    ::  ln_bfrimp = .false.  ! logical switch for implicit bottom friction
+   !                                 !!* Namelist nambfr: bottom friction namelist *
+   INTEGER , PUBLIC ::   nn_bfr       ! = 0/1/2/3 type of bottom friction  (PUBLIC for TAM)
+   REAL(wp), PUBLIC ::   rn_bfri1     ! bottom drag coefficient (linear case)  (PUBLIC for TAM)
+   REAL(wp), PUBLIC ::   rn_bfri2     ! bottom drag coefficient (non linear case) (PUBLIC for TAM)
+   REAL(wp), PUBLIC ::   rn_bfeb2     ! background bottom turbulent kinetic energy  [m2/s2] (PUBLIC for TAM)
+   REAL(wp), PUBLIC ::   rn_bfrien    ! local factor to enhance coefficient bfri (PUBLIC for TAM)
+   LOGICAL , PUBLIC ::   ln_bfr2d     ! logical switch for 2D enhancement (PUBLIC for TAM)
+   LOGICAL , PUBLIC ::   ln_loglayer  ! switch for log layer bfr coeff. (PUBLIC for TAM)
+   REAL(wp), PUBLIC ::   rn_bfrz0     ! bottom roughness for loglayer bfr coeff (PUBLIC for TAM)
+   LOGICAL , PUBLIC ::  ln_bfrimp     ! logical switch for implicit bottom friction
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:), PUBLIC ::  bfrcoef2d            ! 2D bottom drag coefficient (PUBLIC for TAM)
 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 3901)
@@ -37,7 +37,7 @@
    REAL(wp), PUBLIC, SAVE, ALLOCATABLE, DIMENSION(:,:,:) ::   rrau   !: heat/salt buoyancy flux ratio
 
-   !                                  !!* Namelist namzdf_ddm : double diffusive mixing *
-   REAL(wp) ::   rn_avts  = 1.e-4_wp   ! maximum value of avs for salt fingering
-   REAL(wp) ::   rn_hsbfr = 1.6_wp     ! heat/salt buoyancy flux ratio
+   !                      !!* Namelist namzdf_ddm : double diffusive mixing *
+   REAL(wp) ::   rn_avts   ! maximum value of avs for salt fingering
+   REAL(wp) ::   rn_hsbfr  ! heat/salt buoyancy flux ratio
 
    !! * Substitutions
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 3901)
@@ -51,19 +51,19 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   ustarb2 !: Squared bottom  velocity scale at T-points
 
-   !                                         !!! ** Namelist  namzdf_gls  **
-   LOGICAL  ::   ln_crban      = .FALSE.      ! =T use Craig and Banner scheme
-   LOGICAL  ::   ln_length_lim = .FALSE.      ! use limit on the dissipation rate under stable stratification (Galperin et al. 1988)
-   LOGICAL  ::   ln_sigpsi     = .FALSE.      ! Activate Burchard (2003) modification for k-eps closure & wave breaking mixing
-   INTEGER  ::   nn_tkebc_surf = 0            ! TKE surface boundary condition (=0/1)
-   INTEGER  ::   nn_tkebc_bot  = 0            ! TKE bottom boundary condition (=0/1)
-   INTEGER  ::   nn_psibc_surf = 0            ! PSI surface boundary condition (=0/1)
-   INTEGER  ::   nn_psibc_bot  = 0            ! PSI bottom boundary condition (=0/1)
-   INTEGER  ::   nn_stab_func  = 0            ! stability functions G88, KC or Canuto (=0/1/2)
-   INTEGER  ::   nn_clos       = 0            ! closure 0/1/2/3 MY82/k-eps/k-w/gen
-   REAL(wp) ::   rn_clim_galp  = 0.53_wp      ! Holt 2008 value for k-eps: 0.267
-   REAL(wp) ::   rn_epsmin     = 1.e-12_wp    ! minimum value of dissipation (m2/s3)
-   REAL(wp) ::   rn_emin       = 1.e-6_wp     ! minimum value of TKE (m2/s2)
-   REAL(wp) ::   rn_charn      = 2.e+5_wp     ! Charnock constant for surface breaking waves mixing : 1400. (standard) or 2.e5 (Stacey value)
-   REAL(wp) ::   rn_crban      = 100._wp      ! Craig and Banner constant for surface breaking waves mixing
+   !                              !! ** Namelist  namzdf_gls  **
+   LOGICAL  ::   ln_crban          ! =T use Craig and Banner scheme
+   LOGICAL  ::   ln_length_lim     ! use limit on the dissipation rate under stable stratification (Galperin et al. 1988)
+   LOGICAL  ::   ln_sigpsi         ! Activate Burchard (2003) modification for k-eps closure & wave breaking mixing
+   INTEGER  ::   nn_tkebc_surf     ! TKE surface boundary condition (=0/1)
+   INTEGER  ::   nn_tkebc_bot      ! TKE bottom boundary condition (=0/1)
+   INTEGER  ::   nn_psibc_surf     ! PSI surface boundary condition (=0/1)
+   INTEGER  ::   nn_psibc_bot      ! PSI bottom boundary condition (=0/1)
+   INTEGER  ::   nn_stab_func      ! stability functions G88, KC or Canuto (=0/1/2)
+   INTEGER  ::   nn_clos           ! closure 0/1/2/3 MY82/k-eps/k-w/gen
+   REAL(wp) ::   rn_clim_galp      ! Holt 2008 value for k-eps: 0.267
+   REAL(wp) ::   rn_epsmin         ! minimum value of dissipation (m2/s3)
+   REAL(wp) ::   rn_emin           ! minimum value of TKE (m2/s2)
+   REAL(wp) ::   rn_charn          ! Charnock constant for surface breaking waves mixing : 1400. (standard) or 2.e5 (Stacey value)
+   REAL(wp) ::   rn_crban          ! Craig and Banner constant for surface breaking waves mixing
 
    REAL(wp) ::   hsro          =  0.003_wp    ! Minimum surface roughness
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 3901)
@@ -52,12 +52,12 @@
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   hkpp     !: boundary layer depth
 
-   !                                        !!* Namelist namzdf_kpp *
-   REAL(wp) ::   rn_difmiw  =  1.2e-04_wp    ! constant internal wave viscosity (m2/s)
-   REAL(wp) ::   rn_difsiw  =  1.2e-05_wp    ! constant internal wave diffusivity (m2/s)
-   REAL(wp) ::   rn_riinfty =  0.8_wp        ! local Richardson Number limit for shear instability
-   REAL(wp) ::   rn_difri   =  5.e-03_wp     ! maximum shear mixing at Rig = 0    (m2/s)
-   REAL(wp) ::   rn_bvsqcon = -1.e-09_wp     ! Brunt-Vaisala squared (1/s**2) for maximum convection
-   REAL(wp) ::   rn_difcon  =  1._wp         ! maximum mixing in interior convection (m2/s)
-   INTEGER  ::   nn_ave     =  1             ! = 0/1 flag for horizontal average on avt, avmu, avmv
+   !                          !!* Namelist namzdf_kpp *
+   REAL(wp) ::   rn_difmiw     ! constant internal wave viscosity (m2/s)
+   REAL(wp) ::   rn_difsiw     ! constant internal wave diffusivity (m2/s)
+   REAL(wp) ::   rn_riinfty    ! local Richardson Number limit for shear instability
+   REAL(wp) ::   rn_difri      ! maximum shear mixing at Rig = 0    (m2/s)
+   REAL(wp) ::   rn_bvsqcon    ! Brunt-Vaisala squared (1/s**2) for maximum convection
+   REAL(wp) ::   rn_difcon     ! maximum mixing in interior convection (m2/s)
+   INTEGER  ::   nn_ave        ! = 0/1 flag for horizontal average on avt, avmu, avmv
 
 #if defined key_zdfddm
@@ -67,5 +67,5 @@
    REAL(wp) ::   difsdc  = 1.5e-06_wp        ! maximum diffusive convection mixing
 #endif
-   LOGICAL  ::   ln_kpprimix  = .TRUE.       ! Shear instability mixing 
+   LOGICAL  ::   ln_kpprimix       ! Shear instability mixing 
 
    !                                        !!! ** General constants  **
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 3900)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 3901)
@@ -41,14 +41,14 @@
    LOGICAL, PUBLIC, PARAMETER ::   lk_zdfric = .TRUE.   !: Richardson vertical mixing flag
 
-   !                                    !!* Namelist namzdf_ric : Richardson number dependent Kz *
-   INTEGER  ::   nn_ric   = 2            ! coefficient of the parameterization
-   REAL(wp) ::   rn_avmri = 100.e-4_wp   ! maximum value of the vertical eddy viscosity
-   REAL(wp) ::   rn_alp   =   5._wp      ! coefficient of the parameterization
-   REAL(wp) ::   rn_ekmfc =   0.7_wp     ! Ekman Factor Coeff
-   REAL(wp) ::   rn_mldmin=   1.0_wp     ! minimum mixed layer (ML) depth    
-   REAL(wp) ::   rn_mldmax=1000.0_wp     ! maximum mixed layer depth
-   REAL(wp) ::   rn_wtmix =  10.0_wp     ! Vertical eddy Diff. in the ML
-   REAL(wp) ::   rn_wvmix =  10.0_wp     ! Vertical eddy Visc. in the ML
-   LOGICAL  ::   ln_mldw  = .TRUE.       ! Use or not the MLD parameters
+   !                           !!* Namelist namzdf_ric : Richardson number dependent Kz *
+   INTEGER  ::   nn_ric         ! coefficient of the parameterization
+   REAL(wp) ::   rn_avmri       ! maximum value of the vertical eddy viscosity
+   REAL(wp) ::   rn_alp         ! coefficient of the parameterization
+   REAL(wp) ::   rn_ekmfc       ! Ekman Factor Coeff
+   REAL(wp) ::   rn_mldmin      ! minimum mixed layer (ML) depth    
+   REAL(wp) ::   rn_mldmax      ! maximum mixed layer depth
+   REAL(wp) ::   rn_wtmix       ! Vertical eddy Diff. in the ML
+   REAL(wp) ::   rn_wvmix       ! Vertical eddy Visc. in the ML
+   LOGICAL  ::   ln_mldw        ! Use or not the MLD parameters
 
    REAL(wp), ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   tmric   !: coef. for the horizontal mean at t-point
